Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerge of maxima fails - 5.9.0 5.9.0-r1 5.9.0-r2
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
jbssm
n00b
n00b


Joined: 02 Jan 2003
Posts: 56
Location: Portugal

PostPosted: Sun Jan 11, 2004 10:15 pm    Post subject: Emerge of maxima fails - 5.9.0 5.9.0-r1 5.9.0-r2 Reply with quote

Help,

every time I try to emerge maxima (any version) if fails with the output:

Code:

;; Loading file /var/tmp/portage/maxima-5.9.0-r1/work/maxima-5.9.0/src/maxima.system ...
;  - Compiling defsystem "maxima"
;    - Loading module "package"
;      - Loading source file "maxima-package.lisp"
*** - REGEXP:REGEXP-COMPILE: keyword arguments in (T) should occur pairwise
0 errors, 0 warnings
make[1]: *** [binary-clisp/maxima.mem] Error 1
make[1]: Leaving directory `/var/tmp/portage/maxima-5.9.0-r1/work/maxima-5.9.0/src'
make: *** [all-recursive] Error 1
 
!!! ERROR: app-sci/maxima-5.9.0-r1 failed.
!!! Function src_compile, Line 41, Exitcode 2
!!! (no error message)


This is with the clisp flag activated, if I activate the cmucl flag the compilation does not get to maxima as it gets stuck with errors in the cmucl compilation.


I've been tring to install this thing for months (really) ... but I was to lazy to complain :oops: but now I really really need this working to help me study for my exams.
Back to top
View user's profile Send private message
posco
n00b
n00b


Joined: 02 Feb 2004
Posts: 5
Location: Orange County, CA

PostPosted: Mon Feb 02, 2004 5:15 pm    Post subject: Me too. Reply with quote

Just wanted to second this - I'm having the exact same problems. Can't seem to get any ebuild of Maxima working, as I get the REGEXP problem with clisp, cmucl won't compile, and it doesn't seem to work with cmucl-bin either.
Back to top
View user's profile Send private message
ejohnson
Tux's lil' helper
Tux's lil' helper


Joined: 20 Jan 2004
Posts: 140

PostPosted: Mon Feb 02, 2004 5:21 pm    Post subject: Reply with quote

I'd suggest sbcl in the mean time until some one knowledgeable steps up and makes a functioning ebuild for cmucl.

sbcl is a break off of cmucl and compiles fine on my computer with gcc 3.4
Back to top
View user's profile Send private message
ar2s
n00b
n00b


Joined: 04 Feb 2004
Posts: 14
Location: Stuttgart / Germany

PostPosted: Sat Feb 21, 2004 9:37 pm    Post subject: Found Workaround Reply with quote

google gave me a hint:this post explains, why compilation failed. It seems, that maxima does not work with the current CLISP version. The configure script chooses clisp in favour of cmucl. On my machine, on which both are installed, this worked:

env EXTRA_ECONF="--enable-cmucl --disable-clisp" emerge maxima
Back to top
View user's profile Send private message
rafo
Apprentice
Apprentice


Joined: 18 Nov 2003
Posts: 160
Location: Sollentuna, Sweden

PostPosted: Wed Mar 17, 2004 2:09 pm    Post subject: Reply with quote

Thanks ar2s, your workaround worked for me too. It seems that one should have cmucl (currently 18e-r4) emerged first of all, and then emerge maxima with the special setting of EXTRA_ECONF. The "emerge maxima" will cause clisp to be emerged as well, but it can be unmerged when everything else is in place.

The EXTRA_ECONF variable is documented in `man 5 ebuild' if anyone wonders (I did ...).

In Portage there is a -r2 version of maxima where the dependencies are defined differently (see /usr/portage/app-sci/maxima/ChangeLog). Having read this I unmerged everything once more and tried

cd /usr/portage
emerge app-sci/maxima/maxima-5.9.0-r2.ebuild

which pulls in cmucl, not clisp.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum